package com.cloudcross.ssp.common.utils;

import org.apache.commons.lang.StringUtils;

/**
 * SQL帮助类。
 * 
 * @author qaohao
 */
public final class SqlHelper {
	private SqlHelper(){}
	
	/**
	 * 帮助完成like分句。
	 * 
	 * @param o
	 *            like参数
	 * @return 模糊匹配字串
	 */
	public final static String doLike(Object o) {
		if (o == null || StringUtils.isBlank(o.toString())) {
			return null;
		} else {
			return "%".concat(o.toString()).concat("%");
		}
	}
}
